datablock ParticleEmitterData(BlockoJetSkiFoamEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 3.0;
   velocityVariance = 1.0;
   ejectionOffset   = 1.0;
   thetaMin         = 80;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "PlayerFoamParticle";

   useEmitterColors = true;

   uiName = "Blocko Jetski Foam";
};

datablock PlayerData(BlockoJetSkiArmor : PlayerStandardArmor)
{
   renderFirstPerson = true;

	cameraVerticalOffset = 3;
	shapefile = "./JetSki.dts";
	canJet = 0;
	mass = 80;
	
	//aircontrol = 10;
	
   drag = 0.015;
   density = 0.61;
   runSurfaceAngle = 0;
   jumpSurfaceAngle = 0;
   maxForwardSpeed = 0;
   maxBackwardSpeed = 0;
   maxBackwardCrouchSpeed = 0;
   maxForwardCrouchSpeed = 0;
   maxSideSpeed = 0;
   maxSideCrouchSpeed = 0;
   maxStepHeight = 0;
   maxUnderwaterSideSpeed = 0;

	uiName = "Blocko Jetski";
	showEnergyBar = false;
	
   jumpForce = 0;
   jumpEnergyDrain = 10000;
   minJumpEnergy = 10000;
   jumpDelay = 127;
   minJumpSpeed = 0;
   maxJumpSpeed = 0;
	
	rideable = true;
	canRide = false;
	paintable = true;
	
   boundingBox			= vectorScale("2.5 2.5 1", 4); 
   crouchBoundingBox	= vectorScale("2.5 2.5 1", 4);
	
   lookUpLimit = 0.55;
	lookDownLimit = 0.45;
	
   numMountPoints = 2;
   mountThread[0] = "stand";
   mountThread[1] = "stand";

   splashEmitter[0] = BlockoJetSkiFoamEmitter;
   splashEmitter[1] = BlockoJetSkiFoamEmitter;
   splashEmitter[2] = BlockoJetSkiFoamEmitter;
   
   upMaxSpeed = 20;
   upResistSpeed = 20;
   upResistFactor = 20;
   maxdamage = 260;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   useCustomPainEffects = true;
   PainHighImage = "";
   PainMidImage  = "";
   PainLowImage  = "";
   painSound     = "";
   deathSound    = "";
};
